# Uses of Interface
jspecview.api.AnnotationData

Packages that use AnnotationData
Package
Description
jspecview.common
jspecview.dialog

## Uses of AnnotationData in jspecview.common

Classes in jspecview.common that implement AnnotationData
Modifier and Type
Class
Description
`class`
`IntegralData`
from IntegralGraph a data structure for integration settings
`class`
`MeasurementData`
`class`
`PeakData`
a data structure for peak lists
Methods in jspecview.common that return AnnotationData
Modifier and Type
Method
Description
`AnnotationData`
PanelData.`getDialog(Annotation.AType type)`
Methods in jspecview.common with parameters of type AnnotationData
Modifier and Type
Method
Description
`void`
PanelData.`addDialog(int iSpec, Annotation.AType type, AnnotationData dialog)`

## Uses of AnnotationData in jspecview.dialog

Classes in jspecview.dialog that implement AnnotationData
Modifier and Type
Class
Description
`class`
`IntegrationDialog`
Dialog for managing the integral listing for a Spectrum within a GraphSet
`class`
`JSVDialog`
`class`
`MeasurementsDialog`
Dialog for managing the measurement list for a Spectrum within a GraphSet
`class`
`OverlayLegendDialog`
Dialog for showing the legend or key for overlaid plots in a `JSVPanel`.
`class`
`PeakListDialog`
Dialog for managing the peak listing for a Spectrum within a GraphSet
`class`
`ViewsDialog`
Dialog for managing overlaying spectra and closing files
Methods in jspecview.dialog with parameters of type AnnotationData
Modifier and Type
Method
Description
`void`
JSVDialog.`setData(AnnotationData data)`